/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZPictWindow.h		-- a window that displays PICT files
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZPICTWINDOW__
#define __ZPICTWINDOW__

#ifndef __ZSCROLLER__
#include	"ZScroller.h"
#endif


class	ZPictWindow : public ZScroller
{
public:
	PicHandle	thePicture;

	ZPictWindow( ZCommander* aBoss, const short windID );
	virtual ~ZPictWindow();
	
	virtual void	DrawContent();
	virtual void	OpenFile( const OSType fType );
	virtual void	SaveFile();
	virtual void	UpdateMenus();
	
	virtual Boolean	CanPasteType();
	virtual void	DoCopy();
	virtual void	DoPaste();
};




#endif