/*************************************************************************************************
*
*
*			ObjectMacZapp			-- a standard Mac OOP application template
*
*
*
*			ZUndoPaintTask.h		-- undo task for handling paint operations from ZPaintEngine
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/


#pragma once

#ifndef __ZUNDOPAINTTASK__
#define __ZUNDOPAINTTASK__


#include	"ZUndoTask.h"


class	ZGWorld;



class	ZUndoPaintTask	: public ZUndoTask
{
protected:
	ZGWorld*	uBuffer;
	
public:

	ZUndoPaintTask( Str63 aTaskString, ZWindow*	aTarget );
	~ZUndoPaintTask();
	
	virtual void	Do();
	virtual void	Undo();
	
protected:

	virtual void	RecordImage();
	virtual void	SwitchImageBuffers();
};


#endif